# Class AccessibleBundle

java.lang.Object
javax.accessibility.AccessibleBundle

Direct Known Subclasses:
  `AccessibleRelation, AccessibleRole, AccessibleState`

public abstract class AccessibleBundle extends Object
Base class used to maintain a strongly typed enumeration. This is the superclass of `AccessibleState` and `AccessibleRole`.

The `toDisplayString()` method allows you to obtain the localized string for a locale independent key from a predefined `ResourceBundle` for the keys defined in this class. This localized string is intended to be readable by humans.

See Also:
  - `AccessibleRole`
  - `AccessibleState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `key`
  The locale independent name of the state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessibleBundle()`
  Construct an `AccessibleBundle`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toDisplayString()`
  Gets localized string describing the key using the default locale.
  `protected String`
  `toDisplayString(String name, Locale locale)`
  Obtains the key as a localized string.
  `String`
  `toDisplayString(Locale locale)`
  Obtains the key as a localized string.
  `String`
  `toString()`
  Gets localized string describing the key using the default locale.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### key

    protected String key
    The locale independent name of the state. This is a programmatic name that is not intended to be read by humans.
    See Also:
      - `toDisplayString(String, Locale)`

- ## Constructor Details

  - ### AccessibleBundle

    public AccessibleBundle()
    Construct an `AccessibleBundle`.

- ## Method Details

  - ### toDisplayString

    protected String toDisplayString(String name, Locale locale)
    Obtains the key as a localized string. If a localized string cannot be found for the key, the locale independent key stored in the role will be returned. This method is intended to be used only by subclasses so that they can specify their own resource bundles which contain localized strings for their keys.
    Parameters:
      `name` - the name of the resource bundle to use for lookup
      `locale` - the locale for which to obtain a localized string
    Returns:
      a localized string for the key

  - ### toDisplayString

    public String toDisplayString(Locale locale)
    Obtains the key as a localized string. If a localized string cannot be found for the key, the locale independent key stored in the role will be returned.
    Parameters:
      `locale` - the locale for which to obtain a localized string
    Returns:
      a localized string for the key

  - ### toDisplayString

    public String toDisplayString()
    Gets localized string describing the key using the default locale.
    Returns:
      a localized string describing the key using the default locale

  - ### toString

    public String toString()
    Gets localized string describing the key using the default locale.
    Overrides:
      `toString` in class `Object`
    Returns:
      a localized string describing the key using the default locale
    See Also:
      - `toDisplayString(String, Locale)`